Ich interessiere mich fir ADTF3 und méchte Gber einigen Funktionalitét wissen, die in ADTF2 gibt und in ADTF3 anscheinend nicht.
In ADTF2 gibt es das Tool adtf_datexporter. Dies wird in ADTF3 durch das Tool adtf_dattool ersetzt.
Die in ADTF3 gesuchten Funktionalitaten, die adtf_datexporter liefert, sind im Folgenden als "Command line otions" gegeben:

-service SERVICE - Instructs the exporter to load an additional service.
-exportdescription TXTFILE - Exports the description of the DAT File to TXTFILE.
-setdescription TXTFILE - Imports the description of TXTFILE (can be specified only once).

FRAGE 1: werden die 3 0.g Funktionalitdten durch adtf_dattool geliefert ?

FRAGE 2: Wenn ja, welche Kommandozeilen entsprechen die 3 0.g Funktionalitaten ?

FRAGE 3: Wenn Nein, FRAGE 4, 5, 6

FRAGE 4: Werden diese Funktionalitdten beim nachsten Feature mitgeliefert ?

FRAGE 5: Kénnte man sich ein Programm fir jede Funktionalitédt ohne groBen Aufwand schreiben ?
FRAGE 6: Wird es diese Funktionalitadten nicht mehr geben ?

Ich bedanke mich fir Ihre Antwort.
Lésung

-service SERVICE - Instructs the exporter to load an additional service.

Reader/Writer werden in der ADTF 3 Welt, also ADTF File Library / IFHD, mittels .ad(ffileplugin erweitert.

Das kénnen sowohl deserializer sein (z.b. um einen Stream Type aus ADTF 2.x auf ADTF 3.x zu mappen, siehe zb.
adtf_devtb_2_deserializer.adiffileplugin in der Device Toolbox 3.1.0), als auch Processor (export) bzw. Reader (import) zur
Bearbeitung von (adtf)dat Files mittels adtf dattool (siehe csv_processor.adtffileplugin bzw. csv_reader.adtffileplugin in der ithd).

Beides lasst sich mittels --plugin nachladen, um den Funktionumfang zu erweitern, das entspricht quasi dem -service des
adtf_datexporter aus ADTF 2.x.

Siehe auch adltf_dattool --help bzw. https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty adtf dattool.html

-exportdescription TXTFILE - Exports the description of the DAT File to TXTFILE.
-setdescription TXTFILE - Imports the description of TXTFILE (can be specified only once).

Nein sowas gibt es nicht und ist auch nicht angedacht, dadurch dass der komplette Reader/Writer mittels IFHD open source geliefert
werden.

Das kannst du dir recht komfortabel selbst schreiben, einfach ein Kommandozeilentool mit einem Reader flirs Lesen und dann mit
dessen getDescription Methode arbeiten.

Analog dazu das setdescription via Writer und setFileDescription abbilden.

Ob du das dann via File, Kommanodzeile, Pipe etc. 16st, sei dir Gberlassen.

Siehe auch:
https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty_adtf_dattool.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a01579.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a01615.html

e getDescription wird in File Access verwendet
¢ setFileDescription wird im Example CAN Writer verwendet

Related issues:
Related to Public Support - Support Request #9018: Could not compile example ... Closed

History

#1 - 2019-11-14 08:28 - hidden
- Status changed from New to In Progress

- Topic set to FileLibrary::DatTool

#2 - 2019-11-14 13:40 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Steve,

-service SERVICE - Instructs the exporter to load an additional service.

Reader/Writer werden in der ADTF 3 Welt, also ADTF File Library / IFHD, mittels .adfffileplugin erweitert.

Das kénnen sowohl deserializer sein (z.b. um einen Stream Type aus ADTF 2.x auf ADTF 3.x zu mappen, siehe zb.
adtf_devtb_2_deserializer.adlffileplugin in der Device Toolbox 3.1.0), als auch Processor (export) bzw. Reader (import) zur Bearbeitung von (adtf)dat
Files mittels adltf dattool (siehe csv_processor.adtffileplugin bzw. csv_reader.adtffileplugin in der ifhd).

Beides lasst sich mittels --plugin nachladen, um den Funktionumfang zu erweitern, das entspricht quasi dem -service des adtf datexporter aus ADTF
2.X.
Siehe auch adtf _dattool --help bzw. https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty adtf dattool.html

-exportdescription TXTFILE - Exports the description of the DAT File to TXTFILE.
-setdescription TXTFILE - Imports the description of TXTFILE (can be specified only once).

Nein sowas gibt es nicht und ist auch nicht angedacht, dadurch dass der komplette Reader/Writer mittels IFHD open source geliefert werden.
Das kannst du dir recht komfortabel selbst schreiben, einfach ein Kommandozeilentool mit einem Reader flrs Lesen und dann mit dessen
getDescription Methode arbeiten.

Analog dazu das setdescription via Writer und setFileDescription abbilden.

Ob du das dann via File, Kommanodzeile, Pipe etc. l6st, sei dir Uberlassen.

Siehe auch:

e getDescription wird in File Access verwendet
e setFileDescription wird im Example CAN Writer verwendet

Hilft dir das weiter ?

#3 - 2019-11-14 14:00 - hidden

Hallo Florian,
Danke flr deine hilfreiche Antwort.

Viele GruB3e
Steve

#4 - 2019-11-14 18:38 - hidden
- File Ausgabe.PNG added
- File Fehler.PNG added

Hallo,

ich habe einen traurigen Fehler, wenn ich |hr Beispiel beim Filter in der Doku fiihre

ich habe versucht, das Beispiel in der ADTF3-Doku auszuprobieren. Es geht darum, einen Filter in ADTF3 zu implementieren. Hier der Link zu dem
Beispiel: https://support.digitalwerk.net/adtf/v3/guides/sdk_filter_mechanics.html

Leider kriege ich beim Kompilieren in Visual Studio einen Linken-Fehler(LNK2019). Ich habe einfach alles gemacht, wie es in der Doku geschrieben.
Ach so, Ihr Beispiel in der Doku geht nicht.

Ich habe unten die Fehlermeldung und die Code-Ausgabe angehangt.
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a02069.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a02066.html
https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty_adtf_dattool.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a01579.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a01615.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a02069.html
https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a02066.html
https://support.digitalwerk.net/adtf/v3/guides/sdk_filter_mechanics.html

#5 - 2019-11-15 12:11 - hidden
- Related to Support Request #9018: Could not compile example snippets from ADTF 3 Guides added

#6 - 2019-11-15 12:14 - hidden

- Project changed from 11 to Public Support

- Subject changed from Porting to ADTF3 to Missing features of adtf_datexporter required in ADTF 3.x context
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Hallo Steve,

ich habe einen traurigen Fehler, wenn ich Ihr Beispiel beim Filter in der Doku fiihre

ich habe versucht, das Beispiel in der ADTF3-Doku auszuprobieren. Es geht darum, einen Filter in ADTF3 zu implementieren. Hier der Link zu
dem Beispiel: https://support.digitalwerk.net/adtf/v3/quides/sdk_filter_mechanics.html

Leider kriege ich beim Kompilieren in Visual Studio einen Linken-Fehler(LNK2019). Ich habe einfach alles gemacht, wie es in der Doku
geschrieben.

Ach so, |hr Beispiel in der Doku geht nicht.

Ich habe unten die Fehlermeldung und die Code-Ausgabe angehangt.

Du hast ja korrekterweise ein neues Ticket gemacht (#9018), das werden wir uns darin anschauen, thematisch passt es hierzu nicht (mehr), damit
kénnen wir zumindest das Thema abschlieBen.

#7 - 2020-07-07 12:45 - hidden
- Status changed from To Be Closed to Closed

Files
Fehler.PNG 18.9 KB 2019-11-14 hidden
Ausgabe.PNG 35.3 KB 2019-11-14 hidden
